%global qt5_version 5.10
%global kf5_version 5.40.0
 
Name:    plasma-thunderbolt
Summary: Plasma addons for managing Thunderbolt devices
Version: 5.17.5
Release: 0.1%{?dist}
 
License: GPLv2+
URL:     https://cgit.kde.org/%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: https://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz
 
# filter plugin provides
%global __provides_exclude_from ^(%{_kf5_qtplugindir}/.*\\.so)$
 
BuildRequires:  gettext
 
BuildRequires:  qt5-qtbase-devel >= %{qt5_version}
BuildRequires:  qt5-qtdeclarative-devel >= %{qt5_version}

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules >= %{kf5_version}
BuildRequires:  kf5-kcmutils-devel >= %{kf5_version}
BuildRequires:  kf5-kcoreaddons-devel >= %{kf5_version}
BuildRequires:  kf5-kdbusaddons-devel >= %{kf5_version}
BuildRequires:  kf5-kdeclarative-devel >= %{kf5_version}
BuildRequires:  kf5-ki18n-devel >= %{kf5_version}
BuildRequires:  kf5-knotifications-devel >= %{kf5_version}

Requires: bolt

%description
Plasma Sytem settings module and a KDED module to handle authorization
of Thunderbolt devices connected to the computer.


%prep
%autosetup -p1 -n %{name}-%{version}
 
 
%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd
 
%make_build -C %{_target_platform}
 
 
%install
make install/fast  DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang plasma-thunderbolt --all-name


%ldconfig_scriptlets

%files -f plasma-thunderbolt.lang
%{_kf5_datadir}/knotifications5/kded_bolt.notifyrc
%{_kf5_datadir}/kpackage/kcms/kcm_bolt/
%{_kf5_datadir}/kservices5/kcm_bolt.desktop
%{_kf5_plugindir}/kded/kded_bolt.so
%{_libdir}/libkbolt.so
%{_qt5_plugindir}/kcms/kcm_bolt.so


%changelog
* Fri Mar 20 2020 Pino Toscano <ptoscano@redhat.com> - 5.17.5-0.1
* New upstream release.

* Wed Sep 25 2019 Pino Toscano <ptoscano@redhat.com> - 5.16.90-0.1
* New upstream development release.

* Thu Jun 20 2019 Pino Toscano <ptoscano@redhat.com> - 0.0.git20190620
- New Git snapshot

* Thu May 23 2019 Pino Toscano <ptoscano@redhat.com> - 0.0.git20190523
- Initial Git snapshot
